Bug 435293 - Review Request: ocaml-openin - OCaml syntax to locally open modules
Review Request: ocaml-openin - OCaml syntax to locally open modules
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-28 10:18 EST by Richard W.M. Jones
Modified: 2008-04-04 12:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-04 12:36:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-02-28 10:18:45 EST
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-openin.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-openin-20070524-1.fc9.src.rpm
Description: OCaml syntax to locally open modules

The package is rpmlint-clean except for:

ocaml-openin.i386: E: no-binary
ocaml-openin.i386: E: only-non-binary-in-usr-lib

which are not bugs, see bug 433783.
Comment 1 Parag AN(पराग) 2008-03-01 09:24:52 EST
May I know please reason for packaging .cmo file?

From guildeines =>
*.cmo files are not normally included. There is however one exception -- if file
is needed for link (like gtkInit.cmo in lablgtk or std_exit.cmo in OCaml
itself), then it should be included.

Is this needed by any other package?
Comment 2 Richard W.M. Jones 2008-03-01 09:34:04 EST
This is (another) thing I need to change about the packaging guidelines.

In this case pa_openin.cmo is the actual program we're distributing.  It's
an OCaml bytecode object file which is loaded into the OCaml parser at
runtime and changes the syntax of the parser.  So the packaging guidelines
should mention this.

I'm going to prepare new draft guidelines to cover this and other
issues but I haven't got around to it yet.
Comment 3 Parag AN(पराग) 2008-03-01 09:38:47 EST
one way to silent 
ocaml-openin.i386: E: no-binary
is to use in SPEC
BuildArch: noarch

Holding review till new guildelines will get approved.
Comment 4 Parag AN(पराग) 2008-04-03 23:57:35 EDT
+ package builds in mock (rawhide i386).
koji build =>  http://koji.fedoraproject.org/koji/taskinfo?taskID=547594
+ rpmlint is silent for SRPM
- rpmlint is NOT silent for RPM.
ocaml-openin.i386: E: no-binary
ocaml-openin.i386: E: only-non-binary-in-usr-lib
==> Ok to accept as per fixed in bug 433783.
+ source files match upstream.
ac44983ed6c1d2ac81c6d6cbfe330975  openin-20070524.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.
+ Package ocaml-openin-20070524-1.fc9 =>
  Provides: ocaml(Pa_openin) = ceafc30d0bb5e45366c8789e54bcff98
  Requires: ocaml(Arg) = 03e86a4154064ea900dc32c05f53e364 ocaml(Array) =
aa8e3cd5824f9bb40b93fcd38d0c95b5 ocaml(Buffer) =
f6cef633ea14963b84b79c4095c63dc3 ocaml(CamlinternalOO) =
6d0d5b328d6db88f403ca4393b4abd38 ocaml(Camlp4) =
1e46a133b8062d1571640f7fa36f32c4 ocaml(Camlp4_config) =
cb716b4361f43326c6ad695c7a1bb5c0 ocaml(Camlp4_import) =
0134ca95282ef6821081c0c11802cea0 ocaml(Char) = e98bc9c9e918a84b3c1a5a122d42fac1
ocaml(Filename) = 633a1e7f590ff5e95124293dbef3b476 ocaml(Format) =
35fe566f7a37d8991a5c822bd1463949 ocaml(Hashtbl) =
083f2c94b44ff4e0b3220aaea6a783b4 ocaml(Int32) = 711321870c949bd3bbdd092d9bae92e4
ocaml(Int64) = f8f7e2e4c0667ead94596040b12e732d ocaml(Lexing) =
b1793496643444d3762dd42bebe2cfe3 ocaml(List) = da1ce9168f0408ff26158af757456948
ocaml(Nativeint) = e79cdc4d3575c2ed044955cb7ef49aca ocaml(Obj) =
5cfae708052c692ea39d23ed930fd64d ocaml(Oo) = d1fd8eab2c1fb52f42b20d2c4fa47731
ocaml(Parsing) = 62cca107e4e88af303516459a87c3e9a ocaml(Pervasives) =
8ba3d1faa24d659525c9025f41fd0c57 ocaml(Printf) =
5dbbf45a03b54e6dbfcf39178d0d6341 ocaml(Queue) = caa3a209bfc63d23a30f573541a88fec
ocaml(Set) = 7da14e671a035f12386ace3890018ef3 ocaml(Stream) =
21a833e12efd34ea0c87d8d9da959809 ocaml(String) =
2c162ab314b2f0a2cfd22d471b2e21ab ocaml(Sys) = 0da495f5a80f31899139359805318f28
ocaml(runtime) = 3.10.1

Comment 5 Parag AN(पराग) 2008-04-03 23:58:16 EDT
which new guildeline change allows .cmo file here?
Comment 6 Richard W.M. Jones 2008-04-04 06:34:36 EDT
It's the exception:

  "if the cmo file is a camlp4 preprocessor (like Camlp4OCamlPrinter.cmo
   in OCaml), then it must be included because otherwise the syntax
   extension would not be available."


*.cmo files are loadable object files.  Camlp4 (the macro
preprocessor) loads the pa_openin.cmo file at runtime, which
modifies the actual syntax accepted by the compiler.

In this case it adds the useful 'open M in e' syntax so you
can open a module just for the bit of code that actually needs
it, not for the whole program.
Comment 7 Parag AN(पराग) 2008-04-04 06:43:12 EDT
Comment 8 Richard W.M. Jones 2008-04-04 07:06:13 EDT
New Package CVS Request
Package Name: ocaml-openin
Short Description: OCaml syntax to locally open modules
Owners: rjones
Branches: F-8
InitialCC: rjones
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2008-04-04 11:39:20 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.